// workbox.setConfig({
//     debug: true
// });

self.skipWaiting();
console.log("Skiping Waiting");

self.addEventListener("push", function(event) {
  if (event.data) {
    var data = event.data.json();
    var notOptions = {
      body: data.notification.body,
      icon: data.notification.image || null
    };
    if (data.data) {
      console.log("dataFound");
      console.log(data.data.data);
      notOptions.actions = JSON.parse(data.data.actions);
      notOptions.data = JSON.parse(data.data.data);
    }
    event.waitUntil(
      self.registration.showNotification(data.notification.title, notOptions)
    );
  }
});

self.addEventListener("notificationclick", function(event) {
  if (event.notification) {
    var data = JSON.parse(event.notification.data.data);
    if (data[event.action]) {
      console.log(data);
      console.log(data[event.action]);
      clients.openWindow("" + data[event.action]);
    }
  }
  clients.openWindow("/");
});

self.__precacheManifest = [].concat(self.__precacheManifest || []);
workbox.precaching.precacheAndRoute(self.__precacheManifest, {});
